<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFShapeGroup (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFShapeGroup (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFShapeGroup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeFactory.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeTypes.html"
               title="interface in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFShapeGroup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFShapeGroup" class="title">Class HSSFShapeGroup</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                       title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hssf.usermodel.HSSFShapeGroup</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                 title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                            title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.ss.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFShapeGroup</span>
extends <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
           title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>
implements <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
              title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></pre>
                <div class="block">A shape group may contain other shapes. It was no actual form on the
                    sheet.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#FILL__FILLCOLOR_DEFAULT">FILL__FILLCOLOR_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE__COLOR_DEFAULT">LINESTYLE__COLOR_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTDOTSYS">LINESTYLE_DASHDOTDOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTGEL">LINESTYLE_DASHDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTSYS">LINESTYLE_DASHDOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHGEL">LINESTYLE_DASHGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHSYS">LINESTYLE_DASHSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DEFAULT">LINESTYLE_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTGEL">LINESTYLE_DOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTSYS">LINESTYLE_DOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTDOTGEL">LINESTYLE_LONGDASHDOTDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTGEL">LINESTYLE_LONGDASHDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHGEL">LINESTYLE_LONGDASHGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_NONE">LINESTYLE_NONE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_SOLID">LINESTYLE_SOLID</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_DEFAULT">LINEWIDTH_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_ONE_PT">LINEWIDTH_ONE_PT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILL_DEFAULT">NO_FILL_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_FALSE">NO_FILLHITTEST_FALSE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_TRUE">NO_FILLHITTEST_TRUE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#HSSFShapeGroup-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-">HSSFShapeGroup</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spgrContainer,
                                    <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#HSSFShapeGroup-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFShapeGroup</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">addShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>
                                    <div class="block">add shape to the list of child records</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">afterRemove</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</code>
                                    <div class="block">remove escher container from the patriarch.escherAggregate
                                        remove obj, textObj and note records if it's necessary
                                        in case of ShapeGroup remove all contained shapes
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#clear--">clear</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#cloneShape-org.apache.poi.hssf.usermodel.HSSFPatriarch-">cloneShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#countOfAllChildren--">countOfAllChildren</a></span>()</code>
                                    <div class="block">Count of all children and their childrens children.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#createGroup-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">createGroup</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Create another group under this group.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                        title="class in org.apache.poi.hssf.record">ObjRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#createObjRecord--">createObjRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#createPicture-org.apache.poi.hssf.usermodel.HSSFChildAnchor-int-">createPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor,
                                    int&nbsp;pictureIndex)</code>
                                    <div class="block">Creates a picture.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPolygon</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#createPolygon-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">createPolygon</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a polygon</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#createShape-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">createShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Create a new simple shape under this group.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#createSpContainer--">createSpContainer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#createTextbox-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">createTextbox</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Create a new textbox under this group.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#getChildren--">getChildren</a></span>()</code>
                                    <div class="block">Return all children contained by this shape.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#getX1--">getX1</a></span>()</code>
                                    <div class="block">The top left x coordinate of this group.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#getX2--">getX2</a></span>()</code>
                                    <div class="block">The bottom right x coordinate of this group.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#getY1--">getY1</a></span>()</code>
                                    <div class="block">The top left y coordinate of this group.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#getY2--">getY2</a></span>()</code>
                                    <div class="block">The bottom right y coordinate of this group.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">removeShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>
                                    <div class="block">remove first level shapes</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#setCoordinates-int-int-int-int-">setCoordinates</a></span>(int&nbsp;x1,
                                    int&nbsp;y1,
                                    int&nbsp;x2,
                                    int&nbsp;y2)</code>
                                    <div class="block">Sets the coordinate space of this group.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getEscherContainer--">getEscherContainer</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyle--">getLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyleColor--">getLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineWidth--">getLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getObjRecord--">getObjRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getOptRecord--">getOptRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getPatriarch--">getPatriarch</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getRotationDegree--">getRotationDegree</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipHorizontal--">isFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipVertical--">isFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setAnchor-org.apache.poi.hssf.usermodel.HSSFAnchor-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineWidth-int-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setNoFill-boolean-">setNoFill</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setParent-org.apache.poi.hssf.usermodel.HSSFShape-">setParent</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPatriarch-org.apache.poi.hssf.usermodel.HSSFPatriarch-">setPatriarch</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPropertyValue-org.apache.poi.ddf.EscherProperty-">setPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setRotationDegree-short-">setRotationDegree</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFShapeGroup-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFShapeGroup</h4>
                                <pre>public&nbsp;HSSFShapeGroup(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spgrContainer,
                      <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                         title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord)</pre>
                            </li>
                        </ul>
                        <a name="HSSFShapeGroup-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFShapeGroup</h4>
                                <pre>public&nbsp;HSSFShapeGroup(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                      <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                         title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createSpContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSpContainer</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;createSpContainer()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#createSpContainer--">createSpContainer</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createObjRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createObjRecord</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;createObjRecord()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#createObjRecord--">createObjRecord</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>afterRemove</h4>
                                <pre>protected&nbsp;void&nbsp;afterRemove(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">HSSFShape</a></code></span>
                                </div>
                                <div class="block">remove escher container from the patriarch.escherAggregate
                                    remove obj, textObj and note records if it's necessary
                                    in case of ShapeGroup remove all contained shapes
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">afterRemove</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createGroup-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createGroup</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>&nbsp;createGroup(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Create another group under this group.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the position of the new group.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the group</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addShape-org.apache.poi.hssf.usermodel.HSSFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addShape</h4>
                                <pre>public&nbsp;void&nbsp;addShape(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">HSSFShapeContainer</a></code></span>
                                </div>
                                <div class="block">add shape to the list of child records</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">addShape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createShape-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createShape</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a>&nbsp;createShape(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Create a new simple shape under this group.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the position of the shape.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createTextbox-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTextbox</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a>&nbsp;createTextbox(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Create a new textbox under this group.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the position of the shape.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the textbox</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPolygon-org.apache.poi.hssf.usermodel.HSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPolygon</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFPolygon</a>&nbsp;createPolygon(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Creates a polygon</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPicture-org.apache.poi.hssf.usermodel.HSSFChildAnchor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPicture</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a>&nbsp;createPicture(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;anchor,
                                 int&nbsp;pictureIndex)</pre>
                                <div class="block">Creates a picture.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChildren--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChildren</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;&nbsp;getChildren()</pre>
                                <div class="block">Return all children contained by this shape.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getChildren--">getChildren</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Any children contained by this shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCoordinates-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCoordinates</h4>
                                <pre>public&nbsp;void&nbsp;setCoordinates(int&nbsp;x1,
                           int&nbsp;y1,
                           int&nbsp;x2,
                           int&nbsp;y2)</pre>
                                <div class="block">Sets the coordinate space of this group. All children are constrained
                                    to these coordinates.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#setCoordinates-int-int-int-int-">setCoordinates</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clear--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clear</h4>
                                <pre>public&nbsp;void&nbsp;clear()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#clear--">clear</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getX1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX1</h4>
                                <pre>public&nbsp;int&nbsp;getX1()</pre>
                                <div class="block">The top left x coordinate of this group.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getX1--">getX1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The top left x coordinate of this group.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getY1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY1</h4>
                                <pre>public&nbsp;int&nbsp;getY1()</pre>
                                <div class="block">The top left y coordinate of this group.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getY1--">getY1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The top left y coordinate of this group.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getX2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX2</h4>
                                <pre>public&nbsp;int&nbsp;getX2()</pre>
                                <div class="block">The bottom right x coordinate of this group.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getX2--">getX2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The bottom right x coordinate of this group.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getY2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY2</h4>
                                <pre>public&nbsp;int&nbsp;getY2()</pre>
                                <div class="block">The bottom right y coordinate of this group.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getY2--">getY2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The bottom right y coordinate of this group.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="countOfAllChildren--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>countOfAllChildren</h4>
                                <pre>public&nbsp;int&nbsp;countOfAllChildren()</pre>
                                <div class="block">Count of all children and their childrens children.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#countOfAllChildren--">countOfAllChildren</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cloneShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cloneShape</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;cloneShape()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#cloneShape--">cloneShape</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cloneShape-org.apache.poi.hssf.usermodel.HSSFPatriarch-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cloneShape</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;cloneShape(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</pre>
                            </li>
                        </ul>
                        <a name="removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeShape</h4>
                                <pre>public&nbsp;boolean&nbsp;removeShape(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">HSSFShapeContainer</a></code></span>
                                </div>
                                <div class="block">remove first level shapes</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">removeShape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shape</code> - to be removed</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if shape is removed else return false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFShapeGroup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeFactory.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeTypes.html"
               title="interface in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFShapeGroup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
